Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
POSTBackup Service OperationsSince 3.4.0SynchronousAuth Required

AddSchedulerJobGroupToSchedulerTrigger

AddSchedulerJobGroupToSchedulerTrigger

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • schedulerJobGroupUuidStringRequired

    The UUID of the scheduled job group.

  • schedulerTriggerUuidStringRequired

    The UUID of the trigger.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • triggerNowboolean

      Optional. Specify whether to trigger a job group now.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySchedulerJobGroupSchedulerTriggerRefInventoryRequired

    See inventory

    • schedulerJobGroupUuidStringRequired

      The UUID of the scheduled job group.

    • schedulerTriggerUuidStringRequired

      The UUID of the trigger.

    • createDateTimestampRequired

      The time when the trigger was created.

    • lastOpDateTimestampRequired

      The time when the trigger was last modified.

Endpoint

POST/zstack/v1/scheduler/jobgroups/{schedulerJobGroupUuid}/scheduler/triggers/{schedulerTriggerUuid}

/zstack/v1/scheduler/jobgroups/{schedulerJobGroupUuid}/scheduler/triggers/{schedulerTriggerUuid}

Operation ID

AddSchedulerJobGroupToSchedulerTrigger

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/scheduler/jobgroups/{schedulerJobGroupUuid}/scheduler/triggers/{schedulerTriggerUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"triggerNow":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "schedulerJobGroupUuid": "ec8d2952f8f13747bbbf24f93585a63d", "schedulerTriggerUuid": "4b5bc56b58623324afe0a57951a96064" } }

Change History

This API has no change history records yet.

View all change history